0.93.0 gem bug report: permissions snafu

Eric Wong normalperson at yhbt.net
Fri Oct 2 21:23:01 EDT 2009

Jay Reitz <jreitz at gmail.com> wrote:
> I found some permissions issues with the 0.93.0 gem release.  In
> short, the installed permissions are excessively strict and incorrect.
>  The following files have the mode 700 rather than the correct 755
> mode:

> This prevents unicorn from being started by a non-super user, as many
> people are wont to do.  There are also a smattering of document files
> and the gemspec with incorrect permissions but this it less of an
> issue.

Oops, I just uploaded v0.93.1 which should fix this.  Huge thanks for
reporting this (and using Unicorn :)   I never would've noticed
as all my Ruby and Gem installations are done as regular users

Eric Wong

More information about the mongrel-unicorn mailing list